Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_TSS_Info Class Reference

Thread Specific Key management. More...

`#include <OS.h>`

List of all members.

## Public Methods
| ACE_TSS_Info (ACE_thread_key_t key, void(*dest)(void *)=0, void *tss_inst=0)
| Constructor. More...
| ACE_TSS_Info (void)
| Default constructor. More...
int | key_in_use (void) const
| Returns 1 if the key is in use, 0 if not. More...
void | key_in_use (int flag)
| Mark the key as being in use if the flag is non-zero, or not in use if the flag is 0. More...
int | operator== (const ACE_TSS_Info &) const
| Check for equality. More...
int | operator!= (const ACE_TSS_Info &) const
| Check for inequality. More...
void | dump (void)
| Dump the state. More...
## Private Attributes
ACE_thread_key_t | key_
| Key to the thread-specific storage item. More...
void(* | destructor_ )(void *)
| "Destructor" that gets called when the item is finally released. More...
void * | tss_obj_
| Pointer to ACE_TSS<xxx> instance that has/will allocate the key. More...
int | thread_count_
| Count of threads that are using this key. Contains -1 when the key is not in use. More...
## Friends
class | ACE_TSS_Cleanup

## Detailed Description

Thread Specific Key management.

This class maps a key to a "destructor."

## Constructor & Destructor Documentation

ACE_TSS_Info::ACE_TSS_Info | ( | ACE_thread_key_t | key,
|  | void(* | dest)(void *) = 0,
|  | void * | tss_inst = 0
| ) |

| Constructor.

ACE_TSS_Info::ACE_TSS_Info | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

void ACE_TSS_Info::dump | ( | void |  | ) |

| Dump the state.

void ACE_TSS_Info::key_in_use | ( | int | flag | ) | `[inline]`

| Mark the key as being in use if the flag is non-zero, or not in use if the flag is 0.

int ACE_TSS_Info::key_in_use | ( | void |  | ) | const`[inline]`

| Returns 1 if the key is in use, 0 if not.

int ACE_TSS_Info::operator!= | ( | const ACE_TSS_Info & | info | ) | const

| Check for inequality.

int ACE_TSS_Info::operator== | ( | const ACE_TSS_Info & | info | ) | const

| Check for equality.

## Friends And Related Function Documentation

friend class ACE_TSS_Cleanup`[friend]`

## Member Data Documentation

void(* ACE_TSS_Info::destructor_)(void *)`[private]`

| "Destructor" that gets called when the item is finally released.

ACE_thread_key_t ACE_TSS_Info::key_`[private]`

| Key to the thread-specific storage item.

int ACE_TSS_Info::thread_count_`[private]`

| Count of threads that are using this key. Contains -1 when the key is not in use.

void* ACE_TSS_Info::tss_obj_`[private]`

| Pointer to ACE_TSS<xxx> instance that has/will allocate the key.

The documentation for this class was generated from the following files:

- OS.h
- OS.cpp